corda / net.corda.core.contracts / DummyContractV2 / generateUpgradeFromV1

# generateUpgradeFromV1

`fun generateUpgradeFromV1(vararg states: StateAndRef<State>): Pair<WireTransaction, Set<CompositeKey>>`

Generate an upgrade transaction from DummyContract.

Note: This is a convenience helper method used for testing only.

Return
a pair of wire transaction, and a set of those who should sign the transaction for it to be valid.